<!DOCTYPE html>  
<html>
<head>
    <meta charset="UTF-8">
    <title>{% block title %}Welcome!{% endblock %}</title>
    {% block stylesheets %}
        <link rel="stylesheet" href="{{ asset('build/css/app.css') }}">
        <link rel="stylesheet"
              href="https://use.fontawesome.com/releases/v5.6.1/css/all.css"
              integrity="sha384-gfdkjb5BdAXd+lj+gudLWI+BXq4IuLW5IT+brZEZsLFm++aCMlF1V92rMkPaX4PP"
              crossorigin="anonymous">
    {% endblock %} 
</head>
<body class="bg-light">

<nav class="navbar navbar-dark navbar-expand-md sticky-top bg-dark p-0">
    <a class="navbar-brand col-sm-3 col-md-2 mr-0"
       href="{{ path('micro_post_index') }}">Micro Post App</a>
    <div class="w-100 order-1 order-md-0">
        <ul class="navbar-nav px-3">
            {% if is_granted('ROLE_USER') %}
                <li class="nav-item text-nowrap">
                    <a class="nav-link" href="{{ path('micro_post_add') }}">{{ 'Add new'|trans }}</a>
                </li>
            {% endif %}
        </ul>
    </div>

    <div class="order-2 order-md-1">
        <ul class="navbar-nav px-3">
            {% if is_granted('ROLE_USER') %}
                <li class="nav-item text-nowrap border-right border-secondary">
                    <a href="{{ path('notification_all') }}" class="nav-link">
                        {{ 'Notifications' }}
                        <span class="badge badge-light" id="notification-count">
                            <i class="fa fa-circle fa-circle-notch fa-spin"></i>
                        </span>
                    </a>
                </li>
                <li class="nav-item text-nowrap">
                    <a class="nav-link"
                       href="{{ path('micro_post_index') }}">{{ app.user.fullName }}</a>
                </li>
                <li class="nav-item text-nowrap">
                    <a class="nav-link"
                       href="{{ path('security_logout') }}">{{ 'Sign out'|trans }}</a>
                </li>
            {% else %}
                <li class="nav-item text-nowrap">
                    <a class="nav-link"
                       href="{{ path('security_login') }}">{{ 'Sign in'|trans }}</a>
                </li>
            {% endif %}
        </ul>
    </div>
</nav>    
<main role="main" class="container">

    <div class="my-3 p-3 bg-white rounded box-shadow">
        
        {% block body %}
        
        {% endblock %}
    </div>
    
</main>
{% block javascripts %}
    <script src="{{ asset('build/js/app.js') }}"></script>
    {% if is_granted('ROLE_USER') %}
        <script>
            function fetchNotificationCount(){
                fetch(
                    '{{ path('notification_unread') }}',
                    {'credentials': 'include'}
                    ).then(function (response){
                        response.json().then(function (json){
                            document.getElementById('notification-count').innerText = json.count;
                            setTimeout(fetchNotificationCount, 5000);
                        });
                    }).catch(function (reason) {

                    });
            }
            fetchNotificationCount();
        </script>
    {% endif %}
{% endblock %}
</body>
</html>